.\"	$NetBSD: dhu.4,v 1.12 2003/08/07 10:31:10 agc Exp $
.\"
.\" Copyright (c) 1985, 1991, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     from: @(#)dhu.4	8.1 (Berkeley) 6/5/93
.\"
.Dd June 5, 1993
.Dt DHU 4 vax
.Os
.Sh NAME
.Nm dhu
.Nd
.Tn DHU-11/DHV-11
serial communications multiplexer
.Sh SYNOPSIS
.Cd "dhu0 at uba0 csr 0160440"
.Sh DESCRIPTION
A
.Tn DHU-11
provides 16 communication lines.
.Pp
Normal I/O
control parameters for individual lines are managed by
.Xr ioctl 2
calls.
Individual
.Tn DHU-11
lines may be configured to run at any of 13 speeds
(50, 200 and 38400 baud are not available);
the speed may be set via
.Xr getty 8
or
.Xr stty 1
or may be communicated by other programs which
use
.Xr ioctl 2
such as
.Xr ifconfig 8 ,
see
.Xr tty 4 .
.Pp
The
.Tn DHU-11
driver normally uses input silos
and delays receiver interrupts by 20 milliseconds
rather than taking an interrupt on each input character.
.Sh FILES
.Bl -tag -width /dev/tty[S-Z][0-9a-f]xx -compact
.It Pa /dev/tty[S-Z][0-9a-f]
.El
.Sh NOTES
The driver currently does not make full use of the hardware
capabilities of the
.Tn DHU-11 ,
for dealing with
.Tn XON/XOFF
flow-control or hard-wired
lines for example.
.Pp
Although the devices are not the same, a
.Tn DHU-11
can convince the
.Tn DH-11
autoconfiguration code that it is a
.Tn DH-11 .
.Pp
The 4 40-way cables are a pain.
.Sh SEE ALSO
.Xr tty 4
.Sh HISTORY
The
.Nm
driver appeared in
.Bx 4.3 .
.Pp
A new
.Nm
driver showed up in
.Bx 1.2 .
.Sh BUGS
Even if the
.Nm
hardware supports
.Tn DMA ,
the driver cannot make use of this capability.
